/* 스테이지 */
#stage-wrapper {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

#stage {
  background-size: cover;
  background-position: center;
  transform-origin: center center;
  box-shadow: 0 0 40px rgba(0, 0, 0, 0.6);
  overflow: hidden;
  display: flex;
  flex-direction: column;

  aspect-ratio: 16 / 9;
  width: 100vw;
  max-height: 100vh;
  margin: auto;
  background-color: #fff;
}

/* 헤더 */
#header {
  width: 100%;
  padding-left: 3cqw;
  height: 15%;
  overflow: hidden;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 0.4cqh;
  z-index: 10;
}

#header .title {
  font-weight: 900;
  font-size: 3cqw;
  padding: 0;
  margin: 0;
}

#header .subtitle {
  font-weight: 400;
  font-size: 1.3cqw;
  padding: 0;
  margin: 0;
}

#header .highlight {
  color: var(--primary);
}

/* 콘텐츠 영역 */
#content {
  flex: 1;
  line-height: 1.3;
  font-size: 1.5cqw;
  color: #343434;
  position: relative;
  min-height: 0;
}

/* 상단 설정 버튼 */
#settings {
  position: fixed;
  top: 24px;
  right: 24px;

  width: 48px;
  height: 48px;
  border-radius: 50%;

  /* background: rgba(255,255,255,0.06); */
  background: rgba(50, 50, 50, 0.6);
  border: 1px solid rgba(255, 255, 255, 0.15);

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;
  transition: background 0.2s ease;
  z-index: 1000;
}

#settings svg {
  width: 28px;
  height: 28px;
  stroke: white;
  stroke-width: 1.4;
  fill: none;
  stroke-linecap: round;
  stroke-linejoin: round;
}

#settings:hover {
  background: rgba(50, 50, 50, 0.9);
}

/* 네비게이션 버튼 */
.nav-btn {
  position: fixed;
  bottom: 40px;

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;
  z-index: 1000;

  transition: all 0.2s ease;
  background-color: transparent;
  border: none;
}

.nav-btn img {
  height: 2.5cqw;
}

.nav-btn:hover {
  transform: scale(1.1);
}

.nav-btn:active {
  transform: scale(0.95);
}

.nav-btn:disabled {
  visibility: hidden;
}

#prevBtn {
  left: 40px;
}

#nextBtn {
  right: 40px;
}